---
id: workflow-execution-pending-signals
title: "List pending signals"
description: "Lists the signal waits the execution is currently parked on."
sidebar_label: "List pending signals"
hide_title: true
hide_table_of_contents: true
api: eJztWEtv2zgQ/isDXtp6ZTvtpmihW/padHdRFG2KFEiDmhZHEhuKVMmRHa/h/74Y6hG/0ix2L3toLrbF4cw3r08zWQuSRRDppbhw/jo3bglBF1aaIK4SoTBkXteknRWp+FMHCkAldiKwlLp7gDeYNSwGOkDWeI+WzApq6a9RgbMTkQhXo5cs81aJVCw7c+PhalqjVdoW4x5AImrpZYWEnhGuhWYUtaRSJMLKCkUqtBKJ8Pi90R6VSMk3mIiQlVhJka4FrWqWCuS1LcRm36PzXeiKYeKNrGrDt/jk6/P8V/l4/iQ7VU9RbK4SETBrvKZVRDRH6dGfNVSK9PKKjz2G2tmAgc0/OTnhj0OjnattBNlq5iyhJZaWdW10FiM1/Rb4yvrQIzf/hhlxiDzHlXRrUEnalpLey5VIhCas4jlpiq69b+1fSM069nXu4j3bTvc/zvYuruEG5/5IWlj1HUeBsL7rVldDdxx7XOig2wB2h9oSFuj5NHPeo4lh/gNXx01Hv9/JqnXizqDu3xtK6JKT6d1CmrSvC3G1SQTpCl1Dr1Aqoy0eKklE7nwlSaScUhzzBdbs7Hl79dgVtE3FNrmWtG2QH3nvfOyQ4MwCx0tN5VhhLhtDEUnmURKqs6MKj2OokORenXWVs+n/EnH6+fNh5b80Gi1BBDUB7oO5UysIchVgWUqCJR8vvbNFCtK2gjBjI7MEJJRNJe3Yo1RybhBmCklqw0dWJeAsLKTRKqYUcqlN4zHwcwS05FdQoweX513v5RqN+kHv1d7NDVa/HOnBvotaiXs7iD0NJK2SXnVORccffnjzEp49P3kGnS1oPQoJBPQLVCADzO7CNHt02GctjsNM7uJ5HSGwDHz68DYBnBQTmJVEdUin04GZwyoQVhOFi2kEHW6PrKNx7hqrZruU+a90iNgRMaRHinrQ/c4RDPKBJDXhSGdv3Tg9OY2MzyG9TzX0sIBbBLSCZf5V5xcv5hd53RQnFvCGX39sW1tOZnYP3MHRMFWYa6s5+GG6pzbSRQzMEYbZzdp7j4H743idp/fX+T5h3fEOiS/YH7vGnBymIZN2mjmb66LlhRBkcU9UqiYQlHKB0L+0obO+ggeZU/hgm0WeHmORTxZvaswIVdslviOUn538s5N/dvL/spPbqaF0PPgXGIFGaNuhHUbEMF1rtZl2I/LX222g7fZ2FWi82SpSWeuJbYypjSQeWiaZq3aG9Y/c8W1Qtkf2wT9WJLrFgX+3QiLpvrzpB6HfL87FJhZO7rb5o1+eGCZjbPN8Mnk8OTnI/otGG5VA3cyNDmUCvrFxggE3jx4OBRy4QHje3nbttrzRFtri5Iv9Yt+4xoNWKAM4X0ir/0KgUgc4e/82ZYExjEavbmt3NALpMeoe1CmXNRVaChN4vUDPY9kCYY6ZqzCABNtUc+Qsj0b9YD0aJRAcWEcll6cOgEzHxgWatDbPjJYBe3u8symoHXe4D0AOJPS64KHR1wgzoxc4ezSBs4z0QhLrlRYk62EDcUykxtsAcff0uihYl7OdxddDGY1G4DFzTNTRnxhnrneYr+Jn0jGErRviObGh9gvnwrgidBo/YuaRQny8kF7z7MnKrxFryDwqtKSlaQUCEmMOrA1cHkN8SxoT7q7aBapkfBF1Sywv1sNKeFvvO2Wzvn25/ddFvKt5whua1kbqSF2xoXrKuBxWqxB7vg+pSEQaN+795rxKROkC8c31ei4DfvJms+HH3xv0vCtfJaIPXmxgpQN/VyLNpQn4A28ffuj45REc29ePetPTr2XyXUjT8C+RiGve9PifBhtefkqUCn2E0x6cZRnWtHXlYBdnUhmo7LfX5yIRcpdK9qgjaj8KZ71uJc7dNdrNZkBH/JsBbjZ/A2GILhg=
sidebar_class_name: "get api-method"
info_path: docs/api/workflows
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List pending signals"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/workflows/executions/{id}/pending_signals"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Lists the signal waits the execution is currently parked on.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The execution id.","example":"exec_8f3a1b2c4d5e"}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The pending waits.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"title":"PendingWait","type":"object","description":"A signal wait the execution is currently parked on.","properties":{"executionId":{"type":"string"},"waitId":{"type":"string"},"stepId":{"type":"string"},"workflowId":{"type":"string"},"revision":{"type":"integer"},"correlationKey":{"type":"string"},"signalNames":{"type":"array","items":{"type":"string"},"example":["approval:response"]},"timeoutDeadline":{"type":"string","format":"date-time"},"onTimeout":{"type":"string","enum":["continue","error","resolve-with-default"]},"createdAt":{"type":"string","format":"date-time"},"metadata":{"type":"object"}}}}}}}}},"4XX":{"description":"Client error. The body says what went wrong: an error `type`, a human-readable `detail`, and, on validation failures, one entry per offending field.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}},"5XX":{"description":"Unexpected server error.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}}}}
>
  
</StatusCodes>


      